Target version: 5.1.0   

Resolution:    

Description

Multiple tickets can be specified in the "Parent Task" at  custom query.

Feature #30482 Multiple issue ids in "Parent task" filter

 Similarly, this patch enable multiple tickets to be specified in the "Related To" field.

(We (Tomoko  Shimizu, Ko Nagase and Takashi Kato) created this patch in Japan Redmine Patch Meetup 30th (

https://redmine-patch.connpass.com/event/274438/) event.)

Associated revisions

Revision 22156 - 2023-03-25 07:27 - Go MAEDA

Multiple issue ids in "Related to" filter (#38301).

Patch by Tomoko Shimizu, Ko Nagase, and Takashi Kato.

Revision 22256 - 2023-06-21 08:05 - Go MAEDA

Fix SQL error when passing invalid value to "Related to" filter (#38301).

History

#2 - 2023-03-01 15:28 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2023-03-13 09:26 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#4 - 2023-03-25 07:27 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for improving Redmine.

#5 - 2023-03-28 02:39 - Go MAEDA

- Tracker changed from Patch to Feature

#6 - 2023-06-12 07:43 - Go MAEDA

- File 38301-fix-sql-error-when-invalid-value-is-passed.patch added

- Status changed from Closed to Reopened

After r22156, the filter raises an exception when an invalid value like 'ABC' is passed ([Related to] [is] [ABC]). This problem is caused by the

generation of IN clauses that do not contain values like this: IN ()

   (0.3ms)  SELECT COUNT(*) FROM `issues` INNER JOIN `projects` ON `projects`.`id` = `issues`.`project_id` INN

ER JOIN `issue_statuses` ON `issue_statuses`.`id` = `issues`.`status_id` WHERE (((projects.status <> 9 AND pro
jects.status <> 10 AND EXISTS (SELECT 1 AS one FROM enabled_modules em WHERE em.project_id = projects.id AND e

m.name='issue_tracking')) AND (((projects.is_public = TRUE AND projects.id NOT IN (SELECT project_id FROM memb

ers WHERE user_id IN (6,13))) AND ((issues.is_private = FALSE)))))) AND ((issues.status_id IN (SELECT id FROM 

issue_statuses WHERE is_closed=FALSE)) AND (issues.id IN (SELECT DISTINCT issue_relations.issue_from_id FROM i

ssue_relations WHERE issue_relations.relation_type = 'relates' AND issue_relations.issue_to_id IN ()) OR (issu

es.id IN (SELECT DISTINCT issue_relations.issue_to_id FROM issue_relations WHERE issue_relations.relation_type

 = 'relates' AND issue_relations.issue_from_id IN ()))) AND projects.lft >= 1 AND projects.rgt <= 10)

  ↳ app/models/issue_query.rb:359:in `issue_count'

Query::StatementInvalid: Mysql2::Error: You have an error in your SQL syntax; check the manual that correspond

s to your MySQL server version for the right syntax to use near ')) OR (issues.id IN (SELECT DISTINCT issue_re

lations.issue_to_id FROM issue_rela' at line 1

 The attached patch fixes the issue by returning no results when the value contains no issue number. This is the same behavior as before r22156.

#7 - 2023-06-21 08:05 - Go MAEDA

- Status changed from Reopened to Closed

Fixed the issue described in #note-6 in r22256.

Files

2023-02-25-issue-relation-filter.patch 2.41 KB 2023-02-25 Ko Nagase

38301-fix-sql-error-when-invalid-value-is-passed.patch 1.33 KB 2023-06-12 Go MAEDA
